]> git.ipfire.org Git - thirdparty/bind9.git/commitdiff
2447. [cleanup] libbind has been split out as a seperate produce.
authorMark Andrews <marka@isc.org>
Wed, 24 Sep 2008 02:20:17 +0000 (02:20 +0000)
committerMark Andrews <marka@isc.org>
Wed, 24 Sep 2008 02:20:17 +0000 (02:20 +0000)
configure

index 9c0117f3caf6363894f4b48e3e136ddd6adb39f8..843718abfba6244b909bc5e2c33a71d3ef0424ff 100755 (executable)
--- a/configure
+++ b/configure
@@ -14,7 +14,7 @@
 # OR OTHER TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 # PERFORMANCE OF THIS SOFTWARE.
 #
-# $Id: configure,v 1.434 2008/09/23 17:26:08 jinmei Exp $
+# $Id: configure,v 1.435 2008/09/24 02:20:17 marka Exp $
 #
 # Portions Copyright (C) 1996-2001  Nominum, Inc.
 #
@@ -29,7 +29,7 @@
 # WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
 # ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT
 # OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
-# From configure.in Revision: 1.448 .
+# From configure.in Revision: 1.449 .
 # Guess values for system-dependent variables and create Makefiles.
 # Generated by GNU Autoconf 2.61.
 #
@@ -914,7 +914,6 @@ LIBTOOL_MODE_INSTALL
 LIBTOOL_MODE_LINK
 LIBTOOL_ALLOW_UNDEFINED
 LIBTOOL_IN_MAIN
-LIBBIND
 ISC_PLATFORM_HAVEIPV6
 LWRES_PLATFORM_HAVEIPV6
 ISC_PLATFORM_NEEDNETINETIN6H
@@ -1626,6 +1625,7 @@ if test -n "$ac_init_help"; then
 Optional Features:
   --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
   --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
+  --enable-libbind       deprecated
   --enable-kqueue         use BSD kqueue when available [default=yes]
   --enable-epoll          use Linux epoll when available [default=yes]
   --enable-devpoll        use /dev/poll when available [default=yes]
@@ -1638,7 +1638,6 @@ Optional Features:
   --enable-fast-install[=PKGS]
                           optimize for fast installation [default=yes]
   --disable-libtool-lock  avoid locking (might break parallel builds)
-  --enable-libbind             build libbind default=no
   --enable-ipv6                use IPv6 default=autodetect
   --enable-getifaddrs    Enable the use of getifaddrs() [yes|no].
   --disable-isc-spnego         use SPNEGO from GSSAPI library
@@ -2467,6 +2466,26 @@ fi
 
 
 
+# Warn if the user specified libbind, which is now deprecated
+# Check whether --enable-libbind was given.
+if test "${enable_libbind+set}" = set; then
+  enableval=$enable_libbind;
+fi
+
+
+case "$enable_libbind" in
+       yes)
+               { { echo "$as_me:$LINENO: error: 'libbind' is no longer part of the BIND 9 distribution.
+It is available from http://www.isc.org as a separate download." >&5
+echo "$as_me: error: 'libbind' is no longer part of the BIND 9 distribution.
+It is available from http://www.isc.org as a separate download." >&2;}
+   { (exit 1); exit 1; }; }
+               ;;
+       no|'')
+               ;;
+esac
+
+
 #
 # Make very sure that these are the first files processed by
 # config.status, since we use the processed output as the input for
@@ -9988,7 +10007,7 @@ ia64-*-hpux*)
   ;;
 *-*-irix6*)
   # Find out which ABI we are using.
-  echo '#line 9991 "configure"' > conftest.$ac_ext
+  echo '#line 10010 "configure"' > conftest.$ac_ext
   if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
   (eval $ac_compile) 2>&5
   ac_status=$?
@@ -12110,11 +12129,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12113: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12132: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12117: \$? = $ac_status" >&5
+   echo "$as_me:12136: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -12353,11 +12372,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12356: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12375: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:12360: \$? = $ac_status" >&5
+   echo "$as_me:12379: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -12413,11 +12432,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:12416: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:12435: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:12420: \$? = $ac_status" >&5
+   echo "$as_me:12439: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -14561,7 +14580,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 14564 "configure"
+#line 14583 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -14659,7 +14678,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 14662 "configure"
+#line 14681 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -16852,11 +16871,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16855: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16874: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:16859: \$? = $ac_status" >&5
+   echo "$as_me:16878: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -16912,11 +16931,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:16915: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:16934: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:16919: \$? = $ac_status" >&5
+   echo "$as_me:16938: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -18240,7 +18259,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 18243 "configure"
+#line 18262 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -18338,7 +18357,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 18341 "configure"
+#line 18360 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -19175,11 +19194,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:19178: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:19197: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:19182: \$? = $ac_status" >&5
+   echo "$as_me:19201: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -19235,11 +19254,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:19238: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:19257: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:19242: \$? = $ac_status" >&5
+   echo "$as_me:19261: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -21269,11 +21288,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:21272: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:21291: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:21276: \$? = $ac_status" >&5
+   echo "$as_me:21295: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -21512,11 +21531,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:21515: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:21534: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>conftest.err)
    ac_status=$?
    cat conftest.err >&5
-   echo "$as_me:21519: \$? = $ac_status" >&5
+   echo "$as_me:21538: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s "$ac_outfile"; then
      # The compiler can only warn and ignore the option if not recognized
      # So say no if there are warnings
@@ -21572,11 +21591,11 @@ else
    -e 's:.*FLAGS}? :&$lt_compiler_flag :; t' \
    -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    -e 's:$: $lt_compiler_flag:'`
-   (eval echo "\"\$as_me:21575: $lt_compile\"" >&5)
+   (eval echo "\"\$as_me:21594: $lt_compile\"" >&5)
    (eval "$lt_compile" 2>out/conftest.err)
    ac_status=$?
    cat out/conftest.err >&5
-   echo "$as_me:21579: \$? = $ac_status" >&5
+   echo "$as_me:21598: \$? = $ac_status" >&5
    if (exit $ac_status) && test -s out/conftest2.$ac_objext
    then
      # The compiler can only warn and ignore the option if not recognized
@@ -23720,7 +23739,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 23723 "configure"
+#line 23742 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -23818,7 +23837,7 @@ else
   lt_dlunknown=0; lt_dlno_uscore=1; lt_dlneed_uscore=2
   lt_status=$lt_dlunknown
   cat > conftest.$ac_ext <<EOF
-#line 23821 "configure"
+#line 23840 "configure"
 #include "confdefs.h"
 
 #if HAVE_DLFCN_H
@@ -24875,25 +24894,6 @@ SA=a
 
 
 
-#
-# build libbind?
-#
-# Check whether --enable-libbind was given.
-if test "${enable_libbind+set}" = set; then
-  enableval=$enable_libbind;
-fi
-
-
-case "$enable_libbind" in
-       yes)
-               LIBBIND=lib/bind
-
-               ;;
-       no|'')
-               ;;
-esac
-
-
 #
 # Here begins a very long section to determine the system's networking
 # capabilities.  The order of the tests is signficant.
@@ -32580,7 +32580,6 @@ LIBTOOL_MODE_INSTALL!$LIBTOOL_MODE_INSTALL$ac_delim
 LIBTOOL_MODE_LINK!$LIBTOOL_MODE_LINK$ac_delim
 LIBTOOL_ALLOW_UNDEFINED!$LIBTOOL_ALLOW_UNDEFINED$ac_delim
 LIBTOOL_IN_MAIN!$LIBTOOL_IN_MAIN$ac_delim
-LIBBIND!$LIBBIND$ac_delim
 ISC_PLATFORM_HAVEIPV6!$ISC_PLATFORM_HAVEIPV6$ac_delim
 LWRES_PLATFORM_HAVEIPV6!$LWRES_PLATFORM_HAVEIPV6$ac_delim
 ISC_PLATFORM_NEEDNETINETIN6H!$ISC_PLATFORM_NEEDNETINETIN6H$ac_delim
@@ -32631,6 +32630,7 @@ ISC_PLATFORM_NEEDSTRLCPY!$ISC_PLATFORM_NEEDSTRLCPY$ac_delim
 ISC_PLATFORM_NEEDSTRLCAT!$ISC_PLATFORM_NEEDSTRLCAT$ac_delim
 ISC_PLATFORM_NEEDSPRINTF!$ISC_PLATFORM_NEEDSPRINTF$ac_delim
 LWRES_PLATFORM_NEEDSPRINTF!$LWRES_PLATFORM_NEEDSPRINTF$ac_delim
+ISC_PLATFORM_NEEDVSNPRINTF!$ISC_PLATFORM_NEEDVSNPRINTF$ac_delim
 _ACEOF
 
   if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
@@ -32672,7 +32672,6 @@ _ACEOF
 ac_delim='%!_!# '
 for ac_last_try in false false false false false :; do
   cat >conf$$subs.sed <<_ACEOF
-ISC_PLATFORM_NEEDVSNPRINTF!$ISC_PLATFORM_NEEDVSNPRINTF$ac_delim
 LWRES_PLATFORM_NEEDVSNPRINTF!$LWRES_PLATFORM_NEEDVSNPRINTF$ac_delim
 ISC_EXTRA_OBJS!$ISC_EXTRA_OBJS$ac_delim
 ISC_EXTRA_SRCS!$ISC_EXTRA_SRCS$ac_delim
@@ -32739,7 +32738,7 @@ LIBOBJS!$LIBOBJS$ac_delim
 LTLIBOBJS!$LTLIBOBJS$ac_delim
 _ACEOF
 
-  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 65; then
+  if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 64; then
     break
   elif $ac_last_try; then
     { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5